Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Class XArray

    java.lang.Object
      de.grogra.reflect.MemberBase
          de.grogra.reflect.TypeImpl
              de.grogra.reflect.XArray

All Implemented Interfaces:
  Member, Type

    public final class XArray

extends TypeImpl

Field Summary

Fields inherited from class de.grogra.reflect.TypeImpl
`typeId`

Fields inherited from class de.grogra.reflect.MemberBase
`annots, declaringType, descriptor, modifiers, name`

Fields inherited from interface de.grogra.reflect.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, FLOATING_POINT, INT, INTEGRAL, INVALID, LOCAL_CLASS_MODIFIERS, LONG, MEMBER_CLASS_MODIFIERS, MEMBER_INTERFACE_MODIFIERS, NULL, NUMBER, NUMERIC, OBJECT, SHORT, STRING, TEXTAREA, TOP_LEVEL_CLASS_MODIFIERS, TOP_LEVEL_INTERFACE_MODIFIERS, TYPE, TYPE_0, VOID`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`XArray(Type componentType)`

Method Summary
`java.lang.Object` | `createArray(int length)`
`Type` | `getArrayType()`
`Field` | `getDeclaredField(int index)`
`int` | `getDeclaredFieldCount()`
`Method` | `getDeclaredMethod(int index)`
`int` | `getDeclaredMethodCount()`
`java.lang.Class` | `getImplementationClass()`
`boolean` | `isInstance(java.lang.Object object)`

Methods inherited from class de.grogra.reflect.TypeImpl
`cloneObject, getBinaryName, getComponentType, getDeclaredInterface, getDeclaredInterfaceCount, getDeclaredType, getDeclaredTypeCount, getDefaultElementValue, getLookup, getPackage, getSimpleName, getSupertype, getTypeId, getTypeLoader, isStringSerializable, newInstance, toString, valueOf`

Methods inherited from class de.grogra.reflect.MemberBase
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName`

Constructor Detail

### XArray

    public XArray(Type componentType)

Method Detail

### createArray

    public java.lang.Object createArray(int length)

  Specified by:
    `createArray` in interface `Type`
  Overrides:
    `createArray` in class `TypeImpl`

### getArrayType

    public Type getArrayType()

  Specified by:
    `getArrayType` in interface `Type`
  Overrides:
    `getArrayType` in class `TypeImpl`

### getDeclaredField

    public Field getDeclaredField(int index)

  Specified by:
    `getDeclaredField` in interface `Type`
  Overrides:
    `getDeclaredField` in class `TypeImpl`

### getDeclaredFieldCount

    public int getDeclaredFieldCount()

  Specified by:
    `getDeclaredFieldCount` in interface `Type`
  Overrides:
    `getDeclaredFieldCount` in class `TypeImpl`

### getDeclaredMethod

    public Method getDeclaredMethod(int index)

  Specified by:
    `getDeclaredMethod` in interface `Type`
  Overrides:
    `getDeclaredMethod` in class `TypeImpl`

### getDeclaredMethodCount

    public int getDeclaredMethodCount()

  Specified by:
    `getDeclaredMethodCount` in interface `Type`
  Overrides:
    `getDeclaredMethodCount` in class `TypeImpl`

### getImplementationClass

    public java.lang.Class getImplementationClass()

  Specified by:
    `getImplementationClass` in interface `Type`
  Overrides:
    `getImplementationClass` in class `TypeImpl`

### isInstance

    public boolean isInstance(java.lang.Object object)

  Specified by:
    `isInstance` in interface `Type`
  Overrides:
    `isInstance` in class `TypeImpl`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD